Python is an interpreted programming language that is often, but not solely, used as a scripting language. A version of Python is included by default on all Ubuntu distributions.

learn more… | top users | synonyms

0
votes
0answers
18 views

Can use a custom notification daemon for my own different notifications in my app?

I want to use a notification bubble that allows clickable buttons inside it (for a media player), but the default notify-osd/notify-send does not allow that (or is limited). Can i use other ...
0
votes
1answer
40 views

Would install LAMP conflict with python?

I am currently using ubuntu 14.04. I have PyCharm installed and using django-oscar with mysql. I am wondering what I would install in order to get php working? I am used to windows installing wamp to ...
0
votes
1answer
47 views

How do I reset the Python interpreter's terminal width?

When I start python in a new 14.04 LTS gnome-terminal it is 80 character wide: $ python >>> import os >>> os.popen('stty size', 'r').read() '24 80\n' When I resize the gnome-...
0
votes
0answers
75 views

How to make python script executable upon double-click?

I have tried ticking the execute as application box in properties but still doesn't execute. I want the program to run when I double-click instead of opening the code in gedit. Any suggestions?
0
votes
0answers
8 views

No python-pygame in Ubuntu packages [duplicate]

I want to install pygame for my python2.7. from this link. I get that i must install python-pygame from apt-get in Ubuntu but there is no such package. What should I do to install pygame on Ubuntu 14....
3
votes
0answers
58 views

How to solve old GLIB error while installing “pygobject” using jhbuild

I am trying to install pygobject using jhbuild. And I am getting this error configure: error: Package requirements (glib-2.0 >= 2.48.0) were not met: Requested 'glib-2.0 >= 2.48.0' but version ...
0
votes
0answers
31 views

How do I uninstall python2.7 on 15.10?

I have 2 versions of python installed on my computer, not using pythonbrew but as 2 seperate packages (2.7 as python and 3.5 as python3), I'd like to remove 2.7 and reinstall 3.5 because this causes ...
0
votes
0answers
29 views

How can I start a job of a python script from a .desktop file?

I have created following .desktop file to start a python program (uses tkinter if this is relevant): [Desktop Entry] Type=Application Name=Program Icon=utilities-terminal Exec=gnome-terminal -e "bash ...
1
vote
1answer
220 views

Cannot activate python virtual env in jenkins shell script

I have installed Jenkins on ubuntu 15.10. In a shell build step I am trying to create a Python virtual environment and activate it: But I get the following error when I run the job: /tmp/...
0
votes
0answers
23 views

Where are pyqt4 modules

Beginning to study pyqt. I have PyQt4 somewhere in my directories. I would like to know where, which directory. Also where is exit.png, exit24.png stored?
0
votes
0answers
81 views

how we install pillow in virtualenv in ubuntu 14.04

Please include code that reproduces the issue and whenever possible, an image that demonstrates the issue. The best reproductions are self-contained scripts with minimal dependencies. I create one ...
-1
votes
1answer
38 views

Pygame text processing

I am trying to write a python/pygame program to simply display text. I want it to work so that when you type, for example, the letter "A", it appears on screen (kinda like gedit/notepad/whatever). I ...
0
votes
0answers
475 views

Caravel installation failed

sudo pip install Caravel > x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall > -Wstrict-prototypes -fno-strict-aliasing -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -...
1
vote
0answers
68 views

Error in Opencv instalation (error in file: opencv/modules/videoio/src/cap_libv4l.cpp)

I tried to install OpenCV several times but always returns the same error. I'm running Linux - Debian in Beaglebone Black. The configuration is: root@beaglebone:~# uname -a Linux beaglebone 3.8.13-...
0
votes
0answers
43 views

how to update python version of spark to python 3.0 on ubuntu

I install spark on my ubuntu, and I have already update python to python3. And also alias python=python3 in ~/.bash_aliasesfile. But when I start spark under pyspark, it always display the version of ...
-1
votes
1answer
68 views

importerror: no module named bootstrap3_datetime

While runing "python manage.py migrate" i got error "importerror: no module named bootstrap3_datetime" but in my pip freeze it is installed. django-bootstrap3==7.0.1
1
vote
0answers
20 views

Tile server performance seemling inconsistant with SSH Launch vs 'Local' Launch

I am setting up a Dell PowerEdge R410 as a tile server (i.e. a server which serves web map images á la Google Maps) and experimenting with TileStache -- a Python application which handles HTTP ...
0
votes
0answers
67 views

Importing Gedit from gi.repository with Python3.4

I'm using Ubuntu 15.10. I have the following problem: When I wrote the following line in the Python2.7 console: from gi.repository import Gedit Everything happens as it should and Python IDLE 2.7 ...
0
votes
0answers
83 views

How to fix error executing djangocms -p in virtualenv …exit code 2 ..?

As I am new to djangocms. I am unable to figure out how to fix this. Please help. command I executed : mkvirtualenv mordern_business pip install djangocms-installer djangocms -p modern_business ...
0
votes
2answers
348 views

Error while installing pip for python2.7

I get this error while installing pip for python2.7: $python get-pip.py Collecting pip Downloading pip-8.1.1-py2.py3-none-any.whl (1.2MB) 100% |████████████████████████████████| 1.2MB 294kB/s ...
1
vote
1answer
93 views

installing python-tabulate

I am trying to install tabulate in my python from terminal but I always receive error. the used command and resulting errors are as follows: Command sudo apt-get update sudo apt-get install python-...
0
votes
0answers
150 views

Pyinstaller in Wine leads to: ImportError: No module named pkg_resources

I'm trying to follow instructions here to create a windows .exe from my pyqt4 project created in pycharm from Ubuntu 14.04 Everything seems to work until the last step: cornelis@Bob:~/Downloads$ ...
0
votes
0answers
44 views

How to create a portable Python?

Is it possible to install Python (the Python interpreter together with some of the dependencies it needs to run) into a folder on the users home directory or a usb drive and move this installation ...
2
votes
1answer
109 views

How can I write a dynamically updated panel app / indicator?

I am trying to write some panel apps for ubuntu Mate. I know C/C++, and SDL reasonably well. I have seen the Mate-University panel apps github page, but i cannot get it to work properly / Im having ...
1
vote
6answers
179 views

I am looking for an IDE like a Pyscripter for coding Python

I was using Pyscripter on Windows, but there is not a version for Ubuntu. I want three functions in the IDE: Editor(it has function 2-auto-completion) Auto-completion (dynamic indicate by the ...
0
votes
1answer
37 views

Where is Pyvenv?

I'm running Ubuntu 14.04 LTS which comes with Python 3.4.3 I want to use the pyvenv command, but when I try running pyven I get command not found, and if I try pyvenv-3.4 it tells me to use apt-get ...
3
votes
0answers
31 views

enable parallel port interrupts/ access in Ubuntu 12.04

I need to interface a mid 1990s laboratory instrument to Ubuntu 12.04 for moderately high speed data acquisition ( 100 Usec) from the instrument . The instrument requires ( will not even run without )...
1
vote
1answer
31 views

How to extend a path?

I'm trying to install TA-Lib on Ubuntu 14.04 LTS and I've gotten to the point where I have to be able to do this : add /usr/local/lib to /etc/ld.so.conf as root then run /sbin/ldconfig (also as root). ...
0
votes
1answer
41 views

Python 2.7 installed but no interpreter for CLI?

I just had my sever provider install Ubuntu 15.1.0 on a new server. I need Python 2.7.11 running on the server for an app I want to deploy there. I ran apt --installed list and see that I have a ...
0
votes
1answer
24 views

Working with multiple machines

I'm very new to Ubuntu and Linux. I have a program that I've written in python that will take a long time to run on one machine; therefore, I've got four additional machines on the way. They will ...
0
votes
1answer
23 views

Problem occured when install numpy for python3.4 on ubuntu [duplicate]

When I tried pip3 install numpy I got the error as SystemError: Cannot compile 'Python.h'. Perhaps you need to install python-dev|python-devel. Then I continue to install python-dev but got ...
2
votes
2answers
429 views

Can't install python-dev

Ubuntu 14.04.3. I can't install python-dev: yura@ubuntu:~$ sudo apt-get install python-dev Reading package lists... Done Building dependency tree Reading state information... Done Some packages ...
0
votes
0answers
56 views

Libreoffice unoconv hangs when conversion process started

I am working on an application, in which I am using unoconv for converting ppt and doc files. It is working on localhost, where I have an X server, but on ubuntu-server, it hangs up. As I read on the ...
0
votes
0answers
55 views

IO Error: 32:Broken pipe , popen

I have a simple python script which installs mono-complete on machine. but what I observed is my first call always fail with error IO Error: 32:Broken pipe here is my script, I am not sure what is ...
3
votes
1answer
87 views

Can't use auto-completion in gnome-builder for Python — jedi plugin not found

I am using the gnome-builder to do some development work, and I am needing to do some work with Python so it would be really helpful if the auto-completion tool actually worked, but every time I start ...
0
votes
0answers
262 views

How to install pip and django for python 3.5

I have 3 versions of python that are 2.7, 3.4 and 3.5. I have set by default python version 3.5 in my terminal setting. But when I installed the pip3 and djanago it both gone into python 3.4 dist ...
-1
votes
1answer
46 views

Python: create variables using loop [closed]

how can I create a dictionary variables and every variable has an identical number using a loop in python if it is possible? for example: counter=0 for line in {1..5}: counter +=1 ...
1
vote
1answer
26 views

Should I install these packages for python3?

I'm learning python3 now and I want to ask a question about it. My Ubuntu has Python2 and Python3 already. I'm just learning python3. Should I install these packages? Packages: sudo apt-get ...
-1
votes
1answer
82 views

calling bash command in python

i called bash command in python in subprocess.call, and the return should be a number for example 3, and in the output, it gives the number as output, but it doesn't put it in the variables for ...
-1
votes
2answers
474 views

How do I call a sed command in a python script? [closed]

Through python script, I am trying to replace a string by a string in a file using sed command. I do that through subprocess.call as it in the script. When I run the command in the shell script or ...
4
votes
2answers
409 views

Do “python3” and “python” use different path variables?

The command python opens a Python 2.7.6 environment. If I want to interpret a Python 3 script, I need to rewrite the command to python3. I've just installed the numpy package. In order to test the ...
1
vote
1answer
95 views

ImportError: cannot import name CompletionFinder

I am using Ubuntu "14.04.1", with python version 2.7.6 I have installed python-argcomplete package (version 0.6.9-1) but still getting an error while importing CompletionFinder from argComplete. ...
1
vote
1answer
31 views

Missing python modules in mic2 package

I am on Ubuntu 14.04.4 LTS and I've installed mic2 package which is now complaining like this: Traceback (most recent call last): File "/usr/bin/mic-image-creator", line 35, in <module> ...
1
vote
1answer
125 views

How to properly install IPython on Ubuntu 15.10?

I installed IPython using sudo apt-get install ipython ipython-notebook But when I tried to start it, it complains not finding some components: sudo ipython notebook Traceback (most recent call ...
2
votes
0answers
112 views

Can't add PPA using add-apt-repository: SSL support not available

whenever I tery to add any ppa to install any stuff i get the following error nikunj@nikunj-DL-H61MXE-V:~$ sudo add-apt-repository ppa:ravefinity-project/ppa Traceback (most recent call last): File ...
1
vote
1answer
85 views

bash: WORKON_HOME=~/.virtualenvs: No such file or directory

I installed python virtualenv and virtualenvwrapper on ubuntu 15.10 following the answer at How to set up and use a virtual python environment in Ubuntu?. The installation was successful, i.e. I can ...
0
votes
0answers
93 views

I tried to install the igraph package in ubuntu 14.04 using the following command

I tried to install the igraph package in ubuntu 14.04 using the following command pip install --user python-igraph After several processes I'm getting something like this Extracting igraph-0.7.1....
-1
votes
1answer
87 views

force to use Python 3 [duplicate]

i want to port Python Scripts to python 3. How can i force Ubuntu to use python 3 instead of python 2 which is installed, as well. Due to the size of the project, i'd prefer not to write something ...
0
votes
1answer
64 views

Create a shell scrip from bat script [closed]

I am trying to make my python program compatible with linux and I honestly have no idea how write a shell script. I do know a bit of batch scripting since I got this to work. @echo off chcp 65001 &...
1
vote
0answers
34 views

IOError: [Errno 29] Illegal seek Wavefile

Im trying to use wavebender library to create music and get data out of music. I get this error don't know how to solve this. from wavebender import * from itertools import * import sys def ncycles(...